using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ZionRobot.Persistence
{
    class Logs
    {
        private static Models.Logs.Search searchLog;

        public static Models.Logs.Search SearchLog
        {
            get
            {
                if (searchLog is null)
                    searchLog = new Models.Logs.Search($"{Persistence.Basic.LogsFolder}SearchResultLog.txt");

                return searchLog;
            }
            set => searchLog = value;
        }
    }
}
